# telegram.PassportFile

class telegram.PassportFile(file_id, file_unique_id, file_date, file_size=None, bot=None, credentials=None, **_kwargs)

  Bases: `telegram.base.TelegramObject`

  This object represents a file uploaded to Telegram Passport. Currently all Telegram Passport files are in JPEG format when decrypted and don’t exceed 10MB.

  Objects of this class are comparable in terms of equality. Two objects of this class are considered equal, if their `file_unique_id` is equal.

  Parameters

    - file_id (`str`) – Identifier for this file, which can be used to download or reuse the file.

    - file_unique_id (`str`) – Unique identifier for this file, which is supposed to be the same over time and for different bots. Can’t be used to download or reuse the file.

    - file_size (`int`) – File size.

    - file_date (`int`) – Unix time when the file was uploaded.

    - bot (`telegram.Bot`, optional) – The Bot to use for instance methods.

    - **kwargs (`dict`) – Arbitrary keyword arguments.

  file_id

    Identifier for this file.

    Type

      `str`

  file_unique_id

    Unique identifier for this file, which is supposed to be the same over time and for different bots. Can’t be used to download or reuse the file.

    Type

      `str`

  file_size

    File size.

    Type

      `int`

  file_date

    Unix time when the file was uploaded.

    Type

      `int`

  bot

    Optional. The Bot to use for instance methods.

    Type

      `telegram.Bot`

  classmethod de_json_decrypted(data, bot, credentials)

    Variant of `telegram.TelegramObject.de_json()` that also takes into account passport credentials.

    Parameters

      - data (Dict[`str`, …]) – The JSON data.

      - bot (`telegram.Bot`) – The bot associated with this object.

      - credentials (`telegram.FileCredentials`) – The credentials

    Returns

    Return type

      `telegram.PassportFile`

  classmethod de_list_decrypted(data, bot, credentials)

    Variant of `telegram.TelegramObject.de_list()` that also takes into account passport credentials.

    Parameters

      - data (Dict[`str`, …]) – The JSON data.

      - bot (`telegram.Bot`) – The bot associated with these objects.

      - credentials (`telegram.FileCredentials`) – The credentials

    Returns

    Return type

      List[`telegram.PassportFile`]

  get_file(timeout=None, api_kwargs=None)

    Wrapper over `telegram.Bot.get_file`. Will automatically assign the correct credentials to the returned `telegram.File` if originating from `telegram.PassportData.decrypted_data`.

    For the documentation of the arguments, please see `telegram.Bot.get_file()`.

    Returns

      `telegram.File`

    Raises

      telegram.error.TelegramError –